> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get an app resource type.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/resource_types/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/resource_types/{id}:
    get:
      tags:
        - App Resource Type
      summary: Get
      description: Get an app resource type.
      operationId: c1.api.app.v1.AppResourceTypeService.Get
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            readOnly: false
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.AppResourceTypeServiceGetResponse
          description: >-
            The AppResourceTypeServiceGetResponse contains an expanded array
            containing the expanded values indicated by the expand mask
             in the request and an app resource type view containing the resource type and JSONPATHs indicating which objects are where in the expand mask.
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppResourceType.Get(ctx, operations.C1APIAppV1AppResourceTypeServiceGetRequest{\n        AppID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.AppResourceTypeServiceGetResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appResourceType.get({
                appId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.AppResourceTypeServiceGetResponse:
      description: >-
        The AppResourceTypeServiceGetResponse contains an expanded array
        containing the expanded values indicated by the expand mask
         in the request and an app resource type view containing the resource type and JSONPATHs indicating which objects are where in the expand mask.
      properties:
        appResourceTypeView:
          $ref: '#/components/schemas/c1.api.app.v1.AppResourceTypeView'
        expanded:
          description: List of serialized related objects.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            readOnly: false
            type: object
          nullable: true
          readOnly: false
          type: array
      title: App Resource Type Service Get Response
      type: object
      x-speakeasy-name-override: AppResourceTypeServiceGetResponse
    c1.api.app.v1.AppResourceTypeView:
      description: The AppResourceTypeView message.
      properties:
        appPath:
          description: >-
            JSONPATH expression indicating the location of the App object in
            the  array
          readOnly: false
          type: string
        appResourceType:
          $ref: '#/components/schemas/c1.api.app.v1.AppResourceType'
      title: App Resource Type View
      type: object
      x-speakeasy-name-override: AppResourceTypeView
    c1.api.app.v1.AppResourceType:
      description: >-
        The AppResourceType is referenced by an app entitlement defining its
        resource types. Commonly things like Group or Role.
      properties:
        appId:
          description: The ID of the app that is associated with the app resource type
          readOnly: true
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The display name of the app resource type.
          readOnly: false
          type: string
        id:
          description: The unique ID for the app resource type.
          readOnly: true
          type: string
        traitIds:
          description: Associated trait ids
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: App Resource Type
      type: object
      x-speakeasy-entity: App Resource Type
      x-speakeasy-name-override: AppResourceType
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````